--- old/usr/src/uts/common/os/devcfg.c	2014-07-28 07:44:47.258298012 -0400
+++ new/usr/src/uts/common/os/devcfg.c	2014-07-28 07:44:47.264577758 -0400
@@ -1612,10 +1612,10 @@
 				rv = DDI_FAILURE;
 				break;
 			}
-			atomic_add_long(&devinfo_attach_detach, 1);
+			atomic_inc_ulong(&devinfo_attach_detach);
 			if ((rv = attach_node(dip)) == DDI_SUCCESS)
 				i_ddi_set_node_state(dip, DS_ATTACHED);
-			atomic_add_long(&devinfo_attach_detach, -1);
+			atomic_dec_ulong(&devinfo_attach_detach);
 			break;
 		case DS_ATTACHED:
 			if ((rv = postattach_node(dip)) == DDI_SUCCESS)
@@ -1681,7 +1681,7 @@
 				i_ddi_set_node_state(dip, DS_INITIALIZED);
 			break;
 		case DS_ATTACHED:
-			atomic_add_long(&devinfo_attach_detach, 1);
+			atomic_inc_ulong(&devinfo_attach_detach);
 
 			mutex_enter(&(DEVI(dip)->devi_lock));
 			DEVI_SET_DETACHING(dip);
@@ -1696,7 +1696,7 @@
 			DEVI_CLR_DETACHING(dip);
 			mutex_exit(&(DEVI(dip)->devi_lock));
 
-			atomic_add_long(&devinfo_attach_detach, -1);
+			atomic_dec_ulong(&devinfo_attach_detach);
 			break;
 		case DS_READY:
 			if ((rv = predetach_node(dip, flag)) == DDI_SUCCESS)
